# Dapr 1.7.2

### Fixes panic due to nil pointer dereference in API Logging

#### Problem

When enabling the API logging preview feature, a nil reference can occur and crash the sidecar. In addition, the logged API for gRPC is being fixed not to include a memory address but just the method's name.

#### Root cause

Logic for API logging in gRPC did not initialize logger object for internal service to service communciation for Dapr sidecar.See [#4544](https://github.com/dapr/dapr/issues/4544).

#### Solution

Skip logging for internal gRPC invocation and print method name only for other gRPC API calls.
